<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE flow PUBLIC  "liteflow" "https://liteflow.cc/liteflow.dtd">
<flow>
    <chain id="embedding_preview">
        SER(
            IF(
                embedding_check_if_file_needed,
                SWITCH(file_reader_switch).TO(
                    txt_file_reader,
                    pdf_file_reader
                ).DEFAULT(any_file_reader)
            ),
            SWITCH(split_switch).TO(
                normal_split,
                llm_split,
                qa_split
            )
        )
    </chain>
    <chain id="embedding_submit">
        SER(embedding_preview, import_vector_source)
    </chain>
</flow>